Package: groovy.xml

## [Groovy] Class Entity

- groovy.xml.Entity

- All Implemented Interfaces and Traits:
    Buildable

      class Entity
      extends Object
      implements Buildable

  Represents a named or numeric XML entity reference that can be written unescaped by Groovy XML builders.

  The predefined constants cover the standard XHTML-compatible entity names for markup generation.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static Entity` | `AElig` | Entity reference `Æ`.
    `static Entity` | `Aacute` | Entity reference `Á`.
    `static Entity` | `Acirc` | Entity reference `Â`.
    `static Entity` | `Agrave` | Entity reference `À`.
    `static Entity` | `Aring` | Entity reference `Å`.
    `static Entity` | `Atilde` | Entity reference `Ã`.
    `static Entity` | `Auml` | Entity reference `Ä`.
    `static Entity` | `Ccedil` | Entity reference `Ç`.
    `static Entity` | `Dagger` | Entity reference `‡`.
    `static Entity` | `ETH` | Entity reference `Ð`.
    `static Entity` | `Eacute` | Entity reference `É`.
    `static Entity` | `Ecirc` | Entity reference `Ê`.
    `static Entity` | `Egrave` | Entity reference `È`.
    `static Entity` | `Euml` | Entity reference `Ë`.
    `static Entity` | `Iacute` | Entity reference `Í`.
    `static Entity` | `Icirc` | Entity reference `Î`.
    `static Entity` | `Igrave` | Entity reference `Ì`.
    `static Entity` | `Iuml` | Entity reference `Ï`.
    `static Entity` | `Ntilde` | Entity reference `Ñ`.
    `static Entity` | `OElig` | Entity reference `Œ`.
    `static Entity` | `Oacute` | Entity reference `Ó`.
    `static Entity` | `Ocirc` | Entity reference `Ô`.
    `static Entity` | `Ograve` | Entity reference `Ò`.
    `static Entity` | `Oslash` | Entity reference `Ø`.
    `static Entity` | `Otilde` | Entity reference `Õ`.
    `static Entity` | `Ouml` | Entity reference `Ö`.
    `static Entity` | `Scaron` | Entity reference `Š`.
    `static Entity` | `THORN` | Entity reference `Þ`.
    `static Entity` | `Uacute` | Entity reference `Ú`.
    `static Entity` | `Ucirc` | Entity reference `Û`.
    `static Entity` | `Ugrave` | Entity reference `Ù`.
    `static Entity` | `Uuml` | Entity reference `Ü`.
    `static Entity` | `Yacute` | Entity reference `Ý`.
    `static Entity` | `Yuml` | Entity reference `Ÿ`.
    `static Entity` | `aacute` | Entity reference `á`.
    `static Entity` | `acirc` | Entity reference `â`.
    `static Entity` | `acute` | Entity reference `´`.
    `static Entity` | `aelig` | Entity reference `æ`.
    `static Entity` | `agrave` | Entity reference `à`.
    `static Entity` | `amp` | Entity reference `&`.
    `static Entity` | `apos` | Entity reference `'`.
    `static Entity` | `aring` | Entity reference `å`.
    `static Entity` | `atilde` | Entity reference `ã`.
    `static Entity` | `auml` | Entity reference `ä`.
    `static Entity` | `bdquo` | Entity reference `„`.
    `static Entity` | `brvbar` | Entity reference `¦`.
    `static Entity` | `ccedil` | Entity reference `ç`.
    `static Entity` | `cedil` | Entity reference `¸`.
    `static Entity` | `cent` | Entity reference `¢`.
    `static Entity` | `circ` | Entity reference `ˆ`.
    `static Entity` | `copy` | Entity reference `©`.
    `static Entity` | `curren` | Entity reference `¤`.
    `static Entity` | `dagger` | Entity reference `†`.
    `static Entity` | `deg` | Entity reference `°`.
    `static Entity` | `divide` | Entity reference `÷`.
    `static Entity` | `eacute` | Entity reference `é`.
    `static Entity` | `ecirc` | Entity reference `ê`.
    `static Entity` | `egrave` | Entity reference `è`.
    `static Entity` | `emsp` | Entity reference `` .
    `static Entity` | `ensp` | Entity reference `` .
    `static Entity` | `eth` | Entity reference `ð`.
    `static Entity` | `euml` | Entity reference `ë`.
    `static Entity` | `euro` | Entity reference `€`.
    `static Entity` | `frac12` | Entity reference `½`.
    `static Entity` | `frac14` | Entity reference `¼`.
    `static Entity` | `frac34` | Entity reference `¾`.
    `static Entity` | `gt` | Entity reference `>`.
    `static Entity` | `iacute` | Entity reference `í`.
    `static Entity` | `icirc` | Entity reference `î`.
    `static Entity` | `iexcl` | Entity reference `¡`.
    `static Entity` | `igrave` | Entity reference `ì`.
    `static Entity` | `iquest` | Entity reference `¿`.
    `static Entity` | `iuml` | Entity reference `ï`.
    `static Entity` | `laquo` | Entity reference `«`.
    `static Entity` | `ldquo` | Entity reference `“`.
    `static Entity` | `lrm` | Entity reference `‎`.
    `static Entity` | `lsaquo` | Entity reference `‹`.
    `static Entity` | `lsquo` | Entity reference `‘`.
    `static Entity` | `lt` | Entity reference `<`.
    `static Entity` | `macr` | Entity reference `¯`.
    `static Entity` | `mdash` | Entity reference `—`.
    `static Entity` | `micro` | Entity reference `µ`.
    `static Entity` | `middot` | Entity reference `·`.
    `static Entity` | `nbsp` | Entity reference `` .
    `static Entity` | `ndash` | Entity reference `–`.
    `static Entity` | `not` | Entity reference `¬`.
    `static Entity` | `ntilde` | Entity reference `ñ`.
    `static Entity` | `oacute` | Entity reference `ó`.
    `static Entity` | `ocirc` | Entity reference `ô`.
    `static Entity` | `oelig` | Entity reference `œ`.
    `static Entity` | `ograve` | Entity reference `ò`.
    `static Entity` | `ordf` | Entity reference `ª`.
    `static Entity` | `ordm` | Entity reference `º`.
    `static Entity` | `oslash` | Entity reference `ø`.
    `static Entity` | `otilde` | Entity reference `õ`.
    `static Entity` | `ouml` | Entity reference `ö`.
    `static Entity` | `para` | Entity reference `¶`.
    `static Entity` | `permil` | Entity reference `‰`.
    `static Entity` | `plusmn` | Entity reference `±`.
    `static Entity` | `pound` | Entity reference `£`.
    `static Entity` | `quot` | Entity reference `"`.
    `static Entity` | `raquo` | Entity reference `»`.
    `static Entity` | `rdquo` | Entity reference `”`.
    `static Entity` | `reg` | Entity reference `®`.
    `static Entity` | `rlm` | Entity reference `‏`.
    `static Entity` | `rsaquo` | Entity reference `›`.
    `static Entity` | `rsquo` | Entity reference `’`.
    `static Entity` | `sbquo` | Entity reference `‚`.
    `static Entity` | `scaron` | Entity reference `š`.
    `static Entity` | `sect` | Entity reference `§`.
    `static Entity` | `shy` | Entity reference ``.
    `static Entity` | `sup1` | Entity reference `¹`.
    `static Entity` | `sup2` | Entity reference `²`.
    `static Entity` | `sup3` | Entity reference `³`.
    `static Entity` | `szlig` | Entity reference `ß`.
    `static Entity` | `thinsp` | Entity reference `` .
    `static Entity` | `thorn` | Entity reference `þ`.
    `static Entity` | `tilde` | Entity reference `˜`.
    `static Entity` | `times` | Entity reference `×`.
    `static Entity` | `uacute` | Entity reference `ú`.
    `static Entity` | `ucirc` | Entity reference `û`.
    `static Entity` | `ugrave` | Entity reference `ù`.
    `static Entity` | `uml` | Entity reference `¨`.
    `static Entity` | `uuml` | Entity reference `ü`.
    `static Entity` | `yacute` | Entity reference `ý`.
    `static Entity` | `yen` | Entity reference `¥`.
    `static Entity` | `yuml` | Entity reference `ÿ`.
    `static Entity` | `zwj` | Entity reference `‍`.
    `static Entity` | `zwnj` | Entity reference `‌`.

  - ### Constructor Summary

    Constructors
    Constructor and description
    `Entity(String name)` Creates a named entity reference such as `&`.
    `Entity(int name)` Creates a numeric entity reference such as `` .

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `build(GroovyObject builder)` Writes this entity reference to the target builder without escaping.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### public static final Entity AElig

      Entity reference `Æ`.

    - #### public static final Entity Aacute

      Entity reference `Á`.

    - #### public static final Entity Acirc

      Entity reference `Â`.

    - #### public static final Entity Agrave

      Entity reference `À`.

    - #### public static final Entity Aring

      Entity reference `Å`.

    - #### public static final Entity Atilde

      Entity reference `Ã`.

    - #### public static final Entity Auml

      Entity reference `Ä`.

    - #### public static final Entity Ccedil

      Entity reference `Ç`.

    - #### public static final Entity Dagger

      Entity reference `‡`.

    - #### public static final Entity ETH

      Entity reference `Ð`.

    - #### public static final Entity Eacute

      Entity reference `É`.

    - #### public static final Entity Ecirc

      Entity reference `Ê`.

    - #### public static final Entity Egrave

      Entity reference `È`.

    - #### public static final Entity Euml

      Entity reference `Ë`.

    - #### public static final Entity Iacute

      Entity reference `Í`.

    - #### public static final Entity Icirc

      Entity reference `Î`.

    - #### public static final Entity Igrave

      Entity reference `Ì`.

    - #### public static final Entity Iuml

      Entity reference `Ï`.

    - #### public static final Entity Ntilde

      Entity reference `Ñ`.

    - #### public static final Entity OElig

      Entity reference `Œ`.

    - #### public static final Entity Oacute

      Entity reference `Ó`.

    - #### public static final Entity Ocirc

      Entity reference `Ô`.

    - #### public static final Entity Ograve

      Entity reference `Ò`.

    - #### public static final Entity Oslash

      Entity reference `Ø`.

    - #### public static final Entity Otilde

      Entity reference `Õ`.

    - #### public static final Entity Ouml

      Entity reference `Ö`.

    - #### public static final Entity Scaron

      Entity reference `Š`.

    - #### public static final Entity THORN

      Entity reference `Þ`.

    - #### public static final Entity Uacute

      Entity reference `Ú`.

    - #### public static final Entity Ucirc

      Entity reference `Û`.

    - #### public static final Entity Ugrave

      Entity reference `Ù`.

    - #### public static final Entity Uuml

      Entity reference `Ü`.

    - #### public static final Entity Yacute

      Entity reference `Ý`.

    - #### public static final Entity Yuml

      Entity reference `Ÿ`.

    - #### public static final Entity aacute

      Entity reference `á`.

    - #### public static final Entity acirc

      Entity reference `â`.

    - #### public static final Entity acute

      Entity reference `´`.

    - #### public static final Entity aelig

      Entity reference `æ`.

    - #### public static final Entity agrave

      Entity reference `à`.

    - #### public static final Entity amp

      Entity reference `&`.

    - #### public static final Entity apos

      Entity reference `'`.

    - #### public static final Entity aring

      Entity reference `å`.

    - #### public static final Entity atilde

      Entity reference `ã`.

    - #### public static final Entity auml

      Entity reference `ä`.

    - #### public static final Entity bdquo

      Entity reference `„`.

    - #### public static final Entity brvbar

      Entity reference `¦`.

    - #### public static final Entity ccedil

      Entity reference `ç`.

    - #### public static final Entity cedil

      Entity reference `¸`.

    - #### public static final Entity cent

      Entity reference `¢`.

    - #### public static final Entity circ

      Entity reference `ˆ`.

    - #### public static final Entity copy

      Entity reference `©`.

    - #### public static final Entity curren

      Entity reference `¤`.

    - #### public static final Entity dagger

      Entity reference `†`.

    - #### public static final Entity deg

      Entity reference `°`.

    - #### public static final Entity divide

      Entity reference `÷`.

    - #### public static final Entity eacute

      Entity reference `é`.

    - #### public static final Entity ecirc

      Entity reference `ê`.

    - #### public static final Entity egrave

      Entity reference `è`.

    - #### public static final Entity emsp

      Entity reference `` .

    - #### public static final Entity ensp

      Entity reference `` .

    - #### public static final Entity eth

      Entity reference `ð`.

    - #### public static final Entity euml

      Entity reference `ë`.

    - #### public static final Entity euro

      Entity reference `€`.

    - #### public static final Entity frac12

      Entity reference `½`.

    - #### public static final Entity frac14

      Entity reference `¼`.

    - #### public static final Entity frac34

      Entity reference `¾`.

    - #### public static final Entity gt

      Entity reference `>`.

    - #### public static final Entity iacute

      Entity reference `í`.

    - #### public static final Entity icirc

      Entity reference `î`.

    - #### public static final Entity iexcl

      Entity reference `¡`.

    - #### public static final Entity igrave

      Entity reference `ì`.

    - #### public static final Entity iquest

      Entity reference `¿`.

    - #### public static final Entity iuml

      Entity reference `ï`.

    - #### public static final Entity laquo

      Entity reference `«`.

    - #### public static final Entity ldquo

      Entity reference `“`.

    - #### public static final Entity lrm

      Entity reference `‎`.

    - #### public static final Entity lsaquo

      Entity reference `‹`.

    - #### public static final Entity lsquo

      Entity reference `‘`.

    - #### public static final Entity lt

      Entity reference `<`.

    - #### public static final Entity macr

      Entity reference `¯`.

    - #### public static final Entity mdash

      Entity reference `—`.

    - #### public static final Entity micro

      Entity reference `µ`.

    - #### public static final Entity middot

      Entity reference `·`.

    - #### public static final Entity nbsp

      Entity reference `` .

    - #### public static final Entity ndash

      Entity reference `–`.

    - #### public static final Entity not

      Entity reference `¬`.

    - #### public static final Entity ntilde

      Entity reference `ñ`.

    - #### public static final Entity oacute

      Entity reference `ó`.

    - #### public static final Entity ocirc

      Entity reference `ô`.

    - #### public static final Entity oelig

      Entity reference `œ`.

    - #### public static final Entity ograve

      Entity reference `ò`.

    - #### public static final Entity ordf

      Entity reference `ª`.

    - #### public static final Entity ordm

      Entity reference `º`.

    - #### public static final Entity oslash

      Entity reference `ø`.

    - #### public static final Entity otilde

      Entity reference `õ`.

    - #### public static final Entity ouml

      Entity reference `ö`.

    - #### public static final Entity para

      Entity reference `¶`.

    - #### public static final Entity permil

      Entity reference `‰`.

    - #### public static final Entity plusmn

      Entity reference `±`.

    - #### public static final Entity pound

      Entity reference `£`.

    - #### public static final Entity quot

      Entity reference `"`.

    - #### public static final Entity raquo

      Entity reference `»`.

    - #### public static final Entity rdquo

      Entity reference `”`.

    - #### public static final Entity reg

      Entity reference `®`.

    - #### public static final Entity rlm

      Entity reference `‏`.

    - #### public static final Entity rsaquo

      Entity reference `›`.

    - #### public static final Entity rsquo

      Entity reference `’`.

    - #### public static final Entity sbquo

      Entity reference `‚`.

    - #### public static final Entity scaron

      Entity reference `š`.

    - #### public static final Entity sect

      Entity reference `§`.

    - #### public static final Entity shy

      Entity reference ``.

    - #### public static final Entity sup1

      Entity reference `¹`.

    - #### public static final Entity sup2

      Entity reference `²`.

    - #### public static final Entity sup3

      Entity reference `³`.

    - #### public static final Entity szlig

      Entity reference `ß`.

    - #### public static final Entity thinsp

      Entity reference `` .

    - #### public static final Entity thorn

      Entity reference `þ`.

    - #### public static final Entity tilde

      Entity reference `˜`.

    - #### public static final Entity times

      Entity reference `×`.

    - #### public static final Entity uacute

      Entity reference `ú`.

    - #### public static final Entity ucirc

      Entity reference `û`.

    - #### public static final Entity ugrave

      Entity reference `ù`.

    - #### public static final Entity uml

      Entity reference `¨`.

    - #### public static final Entity uuml

      Entity reference `ü`.

    - #### public static final Entity yacute

      Entity reference `ý`.

    - #### public static final Entity yen

      Entity reference `¥`.

    - #### public static final Entity yuml

      Entity reference `ÿ`.

    - #### public static final Entity zwj

      Entity reference `‍`.

    - #### public static final Entity zwnj

      Entity reference `‌`.

  - ### Constructor Detail

    - #### Entity(String name)

      Creates a named entity reference such as `&`.

      Parameters:
        `name` - entity name without the leading ampersand or trailing semicolon

    - #### Entity(int name)

      Creates a numeric entity reference such as `` .

      Parameters:
        `name` - numeric entity value

  - ### Method Detail

    - #### @SuppressWarnings(value="BuilderMethodWithSideEffects")
      void build(GroovyObject builder)

      Writes this entity reference to the target builder without escaping.

      Parameters:
        `builder` - builder exposing an `unescaped` output channel